
void CompareRanks(int num_dbs, t_exp *experiment);
/* REAL_RANK contains, for each query, 
   the rank of databases according to their "goodness."
   GLOSS_RANK contains, for each query, 
   the rank of databases according to GlOSS predictions.
   experiment contains some parameters of the experiments.

   This function compares these two ranks query by query, 
   and prints statistics to the file specified in experiment. */

void GenerateRanks(char *proc_dblist, char *f_queries, char *res_dir,
                   int *num_dbs, t_exp *experiment);
/* First generates a single RES_SUMMARY file in res_dir, with
   processed query results according to the ranking algorithms
   being used (specified in experiment).

   Then generates the "real" rank, in file res_dir/REAL_RANK, and
   the GlOSS rank, in file res_dir/GLOSS_RANK, using the
   data in res_dir/RES_SUMMARY

   num_dbs returns the number of databases in proc_dblist. */ 

